"""
The user has created an empty file called "Dice Rolls.txt". <br>
The user wants the result of 6 rolls of a dice stored in the txt file <br>
Write a program that simulates the roll of a dice. <br>
The program should also tell the user the dice is about to be rolled. <br>
A random number between 1 and 6 is generated. <br>
The result is displayed to the user. <br>
Also the result should be stored in the file called "Dice Rolls.txt". <br>


Algorithm
Open the txt file in append mode
Generate a random number between 1 and 6
Inform the user the dice is about to be rolled.
Delay 2 seconds.
Output the result to the user and to the file.
Close the txt file.


"""
#import the modules that contain the random number generator and time delays
import random
import time

#open the file in 'append' mode. 
diceFile = open ("Dice Rolls.txt", 'a')

#generate a random number between 1 and 6
diceNumber = random.randint(1,6)

#Let the user know what is happening
print("Hello. I am about to roll the dice.")
time.sleep(2)   #delay 2 seconds

#the same message is printed out to the user and stored in the txt file
message = "The number on the dice is : " + str(diceNumber) +"\n"
print(message)

#store the result of the roll in the txt file; cast the result to s string
diceFile.write(message)

diceFile.close()
       

